

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Reprocess &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="TwitterAuth" href="TwitterAuth.html" />
    <link rel="prev" title="LiveLog" href="LiveLog.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="TwitterAuth.html" title="TwitterAuth"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="LiveLog.html" title="LiveLog"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="reprocess">
<h1>Reprocess<a class="headerlink" href="#reprocess" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This program recreates the hourly, daily and monthly summary data that is created by the Process.py program. It should be run whenever you upgrade to a newer version of pywws.</p>
<p>The program is very simple to use:</p>
<div class="highlight-python"><pre>python Reprocess.py data_directory</pre>
</div>
<p>where <tt class="docutils literal"><span class="pre">data_directory</span></tt> is the location of your stored data.</p>
</div>
<div class="section" id="module-Reprocess">
<span id="detailed-api"></span><h2>Detailed API<a class="headerlink" href="#module-Reprocess" title="Permalink to this headline">¶</a></h2>
<p>Regenerate hourly and daily summary data.</p>
<p>usage: python Reprocess.py [options] data_dir
options are:</p>
<blockquote>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">--help</span></kbd></td>
<td>display this help</td></tr>
</tbody>
</table>
</blockquote>
<p>data_dir is the root directory of the weather data</p>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#Reprocess.Reprocess" title="Reprocess.Reprocess"><tt class="xref py py-obj docutils literal"><span class="pre">Reprocess</span></tt></a>(data_dir)</td>
<td></td>
</tr>
<tr><td><a class="reference internal" href="#Reprocess.main" title="Reprocess.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="Reprocess.Reprocess">
<tt class="descclassname">Reprocess.</tt><tt class="descname">Reprocess</tt><big>(</big><em>data_dir</em><big>)</big><a class="reference internal" href="../_modules/Reprocess.html#Reprocess"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Reprocess.Reprocess" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="Reprocess.main">
<tt class="descclassname">Reprocess.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/Reprocess.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Reprocess.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Reprocess</a><ul>
<li><a class="reference internal" href="#introduction">Introduction</a></li>
<li><a class="reference internal" href="#module-Reprocess">Detailed API</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="LiveLog.html"
                        title="previous chapter">LiveLog</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="TwitterAuth.html"
                        title="next chapter">TwitterAuth</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="TwitterAuth.html" title="TwitterAuth"
             >next</a> |</li>
        <li class="right" >
          <a href="LiveLog.html" title="LiveLog"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>